#!/bin/bash

# https://devopsheaven.com/cron/docker/alpine/linux/2017/10/30/run-cron-docker-alpine.html

DEST=/opt/backup
/bin/mkdir -p $DEST
IFS=';' read -ra DBS <<< "$MONGO_DBS" # Split MONGO_DBS by semicolons

cd $DEST

if [[ -v MONGO_URI ]]
then
  /usr/bin/mongodump --uri "$MONGO_URI"
else
  for DB in "${DBS[@]}"
    do
      /usr/bin/mongodump --db=$DB --username=$MONGO_USERNAME --password=$MONGO_PASSWORD --host=$MONGO_HOST --authenticationDatabase=$MONGO_AUTH_DB --ssl --sslAllowInvalidCertificates
  done
fi

# Perform the backup
/usr/bin/restic backup -q --host $RESTIC_HOSTNAME $DEST

# Prune old backups
/usr/bin/restic forget -q --keep-hourly 24 --keep-daily 30 --prune

/bin/rm -rf *